﻿namespace GameUtils.Input.DefaultDevices
{
    public class MouseState
    {
        public MouseButtons PressedButtons { get; private set; }

        public int RelativeX { get; private set; }

        public int RelativeY { get; private set; }

        public int AbsoluteX { get; private set; }

        public int AbsoluteY { get; private set; }

        public int Delta { get; private set; }

        public MouseState(MouseButtons pressedElements, int relativeX, int relativeY, int absoluteX, int absoluteY, int delta)
        {
            PressedButtons = pressedElements;
            RelativeX = relativeX;
            RelativeY = relativeY;
            AbsoluteX = absoluteX;
            AbsoluteY = absoluteY;
            Delta = delta;
        }

        public bool IsPressed(MouseButtons button)
        {
            return (PressedButtons & button) == button;
        }
    }
}
