﻿using System.Drawing;
using GameUtils.Graphics.Data;

namespace GameUtils.Renderers.Gdi
{
	internal class GdiTexture : TextureData
	{
		readonly Bitmap bmp;

		internal Bitmap GetBitmap()
		{
			return bmp;
		}

        protected override int Width
		{
			get { return bmp.Width; }
		}

        protected override int Height
		{
			get { return bmp.Height; }
		}

		public GdiTexture(string path)
		{
			bmp = new Bitmap(path);
		}

		public GdiTexture(System.IO.Stream stream)
		{
			bmp = new Bitmap(stream);
		}

		protected override void Dispose(bool disposing)
		{
			bmp.Dispose();
		}
	}
}
