﻿using System;

namespace GameUtils
{
    /// <summary>
    /// A resource.
    /// </summary>
    public interface IResource : IDisposable
    {
        /// <summary>
        /// An unique identifier for thes resource.
        /// </summary>
        object Tag { get; }

        /// <summary>
        /// Applies all outstanding changes to this resource.
        /// </summary>
        /// <remarks>Due to synchronization reasons, a resource is intended to not apply any changes until this method is called.</remarks>
        void ApplyChanges();
    }
}
